PlanDocket
Beginner 10 min

Quickstart

Make your first API request in 10 minutes.

Prerequisites

  • An API key with the required scopes
  • An active PlanDocket account
1

Create an API Key

Create an API key in the admin area under Settings > API.

2

Send Your First Request

Send your first request to retrieve all events.

curl -X GET "https://your-tenant.plandocket.com/api/v1/events" \
  -H "Authorization: Bearer YOUR_API_KEY"
3

Process the Response

The API returns a JSON response with your events.

{
  "data": [
    {
      "id": 1,
      "event_key": "expo-2025",
      "title": "Annual Trade Expo 2025",
      "description": null,
      "country": "DE",
      "state": null,
      "city": "Munich",
      "date_from": "2025-01-01T09:00:00+01:00",
      "date_to": "2025-01-02T18:00:00+01:00",
      "application_deadline": null,
      "is_visible": true,
      "image": null
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 25,
    "total": 1,
    "total_pages": 1
  }
}
Esc to close